%define major   0
%define libname %mklibname lxqt-mount %{major}
%define devname %mklibname lxqt-mount -d

Name:           liblxqt-mount
Version:        0.9.0
Release:        %mkrel 6
Summary:        Mounting related libraries for the LXQt desktop
License:        LGPLv2+
Group:          System/Libraries
URL:            https://lxqt.org/
Source0:        http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig(Qt5Xdg)
BuildRequires:  pkgconfig(lxqt)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  cmake

%description
Mounting related libraries for the LXQt desktop.

%package -n %{libname}
Summary:        Mounting related libraries for the LXQt desktop
Group:          System/Libraries

%description -n %{libname}
Mounting related libraries for the LXQt desktop.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %libname = %version
Provides:       %name-devel = %version-%release
Provides:       lib%name-devel = %version-%release
%if %mgaversion < 5
Provides:       pkgconfig(lxqtmount-qt5)
%endif

%description -n %{devname}
Development files (Headers etc.) for %{name}.

%prep
%setup -q %{name}-%{version}

%build
%cmake_qt5
%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/cmake/lxqtmount/*.cmake
%{_libdir}/pkgconfig/*


%changelog
* Tue Apr 05 2022 umeabot <umeabot> 0.9.0-6.mga9
+ Revision: 1844898
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 daviddavid <daviddavid> 0.9.0-5.mga8
+ Revision: 1525744
- use more new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Mar 31 2019 umeabot <umeabot> 0.9.0-4.mga7
+ Revision: 1383125
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.9.0-3.mga7
+ Revision: 1298971
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 0.9.0-2.mga6
+ Revision: 952417
- Mageia 6 Mass Rebuild

* Sun Feb 22 2015 doktor5000 <doktor5000> 0.9.0-1.mga5
+ Revision: 816426
- new version 0.9.0
- remove conditional handling for QT5 as QT4 is not supported anymore
- adjusted BuildRequires from pkgconfig(lxqt-qt5) to pkgconfig(lxqt)
- use new URL http://downloads.lxqt.org/lxqt/

* Wed Dec 17 2014 doktor5000 <doktor5000> 0.8.0-4.mga5
+ Revision: 803659
- rebuild for QT 5.4 breakage

* Sat Oct 25 2014 doktor5000 <doktor5000> 0.8.0-3.mga5
+ Revision: 793181
- correct license
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 doktor5000 <doktor5000> 0.8.0-1.mga5
+ Revision: 738469
- add missing BuildRequires on pkgconfig(Qt5Help)
- new version 0.8
- added conditionals for QT5 builds, also adjusted file list

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-2.mga5
+ Revision: 681584
- Mageia 5 Mass Rebuild

* Wed May 21 2014 doktor5000 <doktor5000> 0.7.0-1.mga5
+ Revision: 624639
- remove useless Requires, use proper Requires/Provides
- use %%mkrel
- fix BuildRequires
- remove useless Requires, use proper Requires/Provides
- use %%mkrel
- imported package liblxqt-mount


* Thu May 08 2014 Rosa <rosa@abf.rosalinux.ru> 0.7.0-1
+ Revision: 98dae2c
- Automatic import for version 0.7.0-1


